%define name	slrn
%define version 0.9.8.2
%define cvs	20070607
%if %cvs
%define release %mkrel 0.%cvs.1
%else
%define release %mkrel 1
%endif

Name:		%{name}
Summary:	A powerful, easy to use, threaded Internet news reader
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/News
URL:		http://www.slrn.org/
%if %cvs
Source0:	%{name}-%{cvs}.tar.bz2
%else
Source0:	ftp://slrn.sourceforge.net/pub/slrn/%{name}-%{version}.tar.bz2
%endif
Source1:	slrnpull-expire
Source2:	slrnpull.log
Source3:	README.rpm-slrnpull
#Patch0:		slrn-0.9.8.0-utf8.patch
Requires:	slang >= 2.0.0, inews
BuildRoot:	%{_tmppath}/%{name}-build
BuildRequires:  slang-devel >= 2.0.0
BuildRequires:  sendmail-command
BuildRequires:	gettext-devel

%description
SLRN is a powerful, easy to use, threaded Internet news reader.  SLRN is
highly customizable and allows you to design complex filters to sort or kill
news articles.  SLRN works well over slow network connections, and includes
a utility for reading news off-line.

Install slrn if you need a full-featured news reader, if you have a slow
network connection, or if you'D like to save on-line time by reading your
news off-line.

%package pull
Summary:	Offline news reading support for slrn
Group:		Networking/News
Requires:	%{name} = %{version}

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.

%prep
%if %cvs
%setup -q -n %{name}
%else
%setup  -q
%endif
#%patch0 -p0 -b .utf8

%build
%if %cvs
./autogen.sh --sysconfdir=%{_sysconfdir}/news --with-slang-library=%_libdir --with-slrnpull
%endif
# FHS compliant install
%configure --sysconfdir=%{_sysconfdir}/news --with-slang-library=%_libdir --with-slrnpull
%make

%install
%makeinstall
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,news}
install doc/slrn.rc $RPM_BUILD_ROOT/etc/news/
chmod 644 $RPM_BUILD_ROOT/etc/news/slrn.rc
#install -d $RPM_BUILD_ROOT/var/spool/slrnpull/out.going
#install doc/slrnpull/slrnpull.conf $RPM_BUILD_ROOT/var/spool/slrnpull
#install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily
#install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/slrnpull
#cp      %{SOURCE3} doc/slrnpull/README.rpm
#chmod 644 doc/slrnpull/*

#(peroyvind) remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf %buildroot

%post
%update_menus
%postun
%update_menus

%files -f %{name}.lang 
%defattr(-,root,root)
%doc COPYING    doc/FIRST_STEPS doc/README.SSL doc/help.txt doc/score.txt doc/slrnfuns.txt
%doc COPYRIGHT  README            doc/README.macros     doc/THANKS       doc/manual.txt  doc/slrn-doc.html
%doc doc/FAQ doc/README.GroupLens  doc/README.multiuser changes.txt  doc/score.sl    doc/slrn.rc
%attr(755,root,root) %{_bindir}/slrn
%{_mandir}/man1/slrn.1*
%config(noreplace) %{_sysconfdir}/news/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files pull
%defattr(-,root,root)
%doc doc/slrnpull/*
%{_mandir}/man1/slrnpull*
#%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/slrnpull-expire
#%config(noreplace) %{_sysconfdir}/logrotate.d/slrnpull
%{_bindir}/slrnpull
#%attr(775,news,news) %dir /var/spool/slrnpull
#%attr(3777,news,news) %dir /var/spool/slrnpull/out.going
#%attr(644,news,news) %config(noreplace) /var/spool/slrnpull/slrnpull.conf



%changelog
* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.8.2-0.20070607.1mdv2008.0
+ Revision: 37482
- drop menu entry (this is a console-only app)

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.8.2-0.20070607.1mdv2008.0
+ Revision: 37236
- specify slang location for autogen and configure (fix x86-64 build)
- BuildRequire gettext-devel (for autopoint)
- go to CVS snapshot
- rebuild for new era
- XDG menu
- add two patches from upstream


* Tue Feb 28 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.9.8.1-4mdk
- Don't ship slrn man page in both packages

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9.8.1-3mdk
- Rebuild

* Tue Jul 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.8.1-2mdk
- Fix BuildRequires

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.9.8.1-1mdk
- new version 0.9.8.1
- system slrn.rc should not be executable

* Mon Jan 17 2005 Marcel Pol <mpol@mandrake.org> 0.9.8.0-4mdk
- do not send 8859-1 characters to UTF-8 slang [Suse #37854]

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 0.9.8.0-3mdk
- again build against new slang

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 0.9.8.0-2mdk
- build against new slang

* Mon Dec 22 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 0.9.8.0-1mdk
- version 0.9.8.0
- remove merged patches
- no more doc/SCORE_FAQ

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.7.4-3mdk
- fix unpackaged files
- macroize (light;)

